GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Typedefs | Functions
server_secure_chttp2.c File Reference
`#include <grpc/grpc.h>`
`#include <string.h>`
`#include "src/core/channel/channel_args.h"`
`#include "src/core/channel/http_server_filter.h"`
`#include "src/core/iomgr/endpoint.h"`
`#include "src/core/iomgr/resolve_address.h"`
`#include "src/core/iomgr/tcp_server.h"`
`#include "src/core/security/auth_filters.h"`
`#include "src/core/security/credentials.h"`
`#include "src/core/security/security_connector.h"`
`#include "src/core/security/secure_transport_setup.h"`
`#include "src/core/surface/server.h"`
`#include "src/core/transport/chttp2_transport.h"`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/log.h>`
`#include <grpc/support/sync.h>`
`#include <grpc/support/useful.h>`

## Data Structures
struct | tcp_endpoint_list
struct | grpc_server_secure_state

## Typedefs
typedef struct tcp_endpoint_list | tcp_endpoint_list
typedef struct grpc_server_secure_state | grpc_server_secure_state

## Functions
int | grpc_server_add_secure_http2_port (grpc_server *server, const char *addr, grpc_server_credentials *creds)

## Typedef Documentation

typedef struct grpc_server_secure_state grpc_server_secure_state

typedef struct tcp_endpoint_list tcp_endpoint_list

## Function Documentation

int grpc_server_add_secure_http2_port | ( | grpc_server * | server,
|  | const char * | addr,
|  | grpc_server_credentials * | creds
| ) |  |